/*
 * 文 件 名:  BaseApiTemplate
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/19
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.core;

import okhttp3.OkHttpClient;

import java.util.concurrent.TimeUnit;

/**
 * Api 操作模版基类
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/19]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class BaseApiTemplate {
    /**
     * 连接超时（毫秒）
     */
    protected int connectTimeout = 60000;

    /**
     * 读取超时（毫秒）
     */
    protected int readTimeout = 60000;

    /**
     * 写超时（毫秒）
     */
    protected int writeTimeout = 60000;

    /**
     * 创建连接
     *
     * @return 连接
     */
    protected OkHttpClient getClient() {
        OkHttpClient.Builder builder = new OkHttpClient().newBuilder()
            .connectTimeout(connectTimeout, TimeUnit.MILLISECONDS).readTimeout(readTimeout, TimeUnit.MILLISECONDS)
            .writeTimeout(writeTimeout, TimeUnit.MILLISECONDS);
        return builder.build();
    }
}