/*
 * 文 件 名:  Station
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/21
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * 站点信息
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/21]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class Station {
    /**
     * 站点编号
     */
    @JSONField(name = "fSubid")
    private Long subId;

    /**
     * 站点区域分组编号
     */
    @JSONField(name = "fSubgroupid")
    private Long subgroupId;

    /**
     * 站点区域分组名称
     */
    @JSONField(name = "fSubgroupName")
    private String subGroupName;

    /**
     * 站点区域分组名称英文
     */
    @JSONField(name = "fSubgroupNameen")
    private String subGroupNameEn;

    /**
     * 父站点编号
     */
    @JSONField(name = "fParentid")
    private Long parentId;

    /**
     * 父级站点名称
     */
    @JSONField(name = "fParentname")
    private String parentName;

    /**
     * 父级站点英文名称
     */
    @JSONField(name = "fParentnameen")
    private String parentNameEn;

    /**
     * 站点名称
     */
    @JSONField(name = "fSubname")
    private String subName;

    /**
     * 站点简称
     */
    @JSONField(name = "fSubshort")
    private String subShort;

    /**
     * 站点图片地址
     */
    @JSONField(name = "substationImg")
    private String substationImg;

    /**
     * 3d的url地址
     */
    @JSONField(name = "f3durl")
    private String url3d;

    /**
     * 站点地址
     */
    @JSONField(name = "fAddress")
    private String address;

    /**
     * 经度
     */
    @JSONField(name = "fLongitude")
    private Double longitude;

    /**
     * 纬度
     */
    @JSONField(name = "fLatitude")
    private Double latitude;

    /**
     * 企业编号
     */
    @JSONField(name = "fCoaccountno")
    private String coAccountNo;

    /**
     * 企业名称
     */
    @JSONField(name = "fConame")
    private String coName;

    /**
     * 企业名称英文
     */
    @JSONField(name = "fConameen")
    private String coNameEn;

    /**
     * 价格类型
     * 1：单电价，2：尖峰平谷电价
     */
    @JSONField(name = "priceType")
    private String priceType;

    /**
     * 折扣
     */
    @JSONField(name = "rate")
    private String rate;

    /**
     * 平时间段
     */
    @JSONField(name = "fEpiptime")
    private String epiPTime;

    /**
     * 峰时间段
     */
    @JSONField(name = "fEpiftime")
    private String epiFTime;

    /**
     * 谷时间段
     */
    @JSONField(name = "fEpigtime")
    private String epiGTime;

    /**
     * 尖时间段
     */
    @JSONField(name = "fEpigtime")
    private String epiJTime;

    /**
     * 平时段电价
     */
    @JSONField(name = "f_EpiPPrice")
    private String epiPPrice;

    /**
     * 峰时段电价
     */
    @JSONField(name = "f_EpiFPrice")
    private String epiFPrice;

    /**
     * 谷时段电价
     */
    @JSONField(name = "f_EpiGPrice")
    private String epiGPrice;

    /**
     * 尖时段电价
     */
    @JSONField(name = "f_EpiJPrice")
    private String epiJPrice;

    /**
     * 单一电价
     */
    @JSONField(name = "f_EpiSinglePrice")
    private String epiSinglePrice;

    /**
     * 电价-5
     */
    @JSONField(name = "f_Epi5Price")
    private String epi5Price;

    /**
     * 电价-6
     */
    @JSONField(name = "f_Epi6Price")
    private String epi6Price;

    /**
     * 电价-8
     */
    @JSONField(name = "f_Epi8Price")
    private String epi8Price;

    /**
     * 装机容量
     */
    @JSONField(name = "installEdcapacity")
    private Integer installEdcApacity;

    /**
     * 电压等级
     */
    @JSONField(name = "fVoltagestep")
    private Double voltageStep;

    /**
     * 变电电压
     */
    @JSONField(name = "fVoltageoftrans")
    private String voltageOfTrans;

    /**
     * 站点类型
     * <br/>0：变配电站，1：光伏电站，2：供水站，3：供气站，4：供冷站，5：供热站，6：储能站，7：风电站，8：瓦斯发电站
     */
    @JSONField(name = "fType")
    private Integer fType;

    /**
     * 巡检配置
     * <br/>2：启用自定义，3：启用停用配置
     */
    @JSONField(name = "fConfigtypeid")
    private Integer configTypeId;

    /**
     * 视界直播
     */
    @JSONField(name = "fVisionlive")
    private String visionLive;

    /**
     * 是否计量标志
     */
    @JSONField(name = "fIscount")
    private Boolean count;

    /**
     * 变压器数量
     */
    @JSONField(name = "fTransformernum")
    private Integer transformerNum;

    /**
     * 门禁
     */
    @JSONField(name = "fDoor")
    private Boolean door;

    /**
     * 申报容量
     */
    @JSONField(name = "fApplycapacity")
    private Integer applyCapacity;

    /**
     * 储能装机容量
     */
    @JSONField(name = "fStorageInstalledCapacity")
    private String storageInstalledCapacity;

    /**
     * 电池类型
     * <br/>0：锂电池，1：液流电池
     */
    @JSONField(name = "fBatteryType")
    private String batteryType;

    /**
     * 补贴截止日期
     */
    @JSONField(name = "fSubsidyendtime")
    private String subsidyEndTime;

    /**
     * 补贴电价
     */
    @JSONField(name = "fSubsidyprice")
    private String subsidyPrice;

    /**
     * 二氧化碳
     */
    @JSONField(name = "fCo2")
    private String co2;

    /**
     * 标准煤
     */
    @JSONField(name = "fFml")
    private String ml;

    /**
     * STS开关检测功能
     * <br/>0：关，1：开
     */
    @JSONField(name = "fSTS")
    private Integer sts;

    /**
     * 报警手机号
     */
    @JSONField(name = "fPhoneofalarm")
    private String phoneOfAlarm;

    /**
     * 联系人
     */
    @JSONField(name = "fContacts")
    private String contacts;

    /**
     * 联系人电话
     */
    @JSONField(name = "fContactsPhone")
    private String contactsPhone;

    /**
     * 默认负责人
     */
    @JSONField(name = "fDefaultcharger")
    private String defaultCharger;

    /**
     * 默认执行人
     */
    @JSONField(name = "fDefaultexecutor")
    private String defaultExecutor;

    /**
     * 运行状态手机号
     */
    @JSONField(name = "fPhoneofoperation")
    private String phoneOfOperation;

    /**
     * 第三方用户平台
     */
    @JSONField(name = "f_PartnerSubNo")
    private String partnerSubNo;

    /**
     * 水浸
     */
    @JSONField(name = "fWaterin")
    private Boolean waterIn;

    /**
     * 烟雾
     */
    @JSONField(name = "fSmog")
    private Boolean smog;

    /**
     * 温湿度表
     */
    @JSONField(name = "fTHMeter")
    private String thMeter;

    /**
     * 投运时间
     */
    @JSONField(name = "fOperatetime")
    private Long operateTime;

    /**
     * 光伏站点计算类型
     * <br/>1：纯并网，2：余电上网
     */
    @JSONField(name = "energyType")
    private String energyType;

    /**
     * 建造商
     */
    @JSONField(name = "fBuilder")
    private String builder;

    /**
     * 并网电压
     */
    @JSONField(name = "fGridvoltage")
    private String fGridvoltage;

    /**
     * 站点类型信息
     */
    @JSONField(name = "type")
    private StationType type;

    /**
     * 时段电价信息
     */
    @JSONField(name = "fEpitimelist")
    private List<StationEpiTime> epiTimeList;

    /**
     * 子站点信息
     */
    @JSONField(name = "children")
    private List<Station> children;
}